#include "Schuh.h"
#include "Spieler.h"

SchuhEffect::SchuhEffect( Spieler *zSpieler )
    : Effect( zSpieler, (int)( 20.f + ( 20.f / 100.f ) * zSpieler->getAbklingZeitVerringerung() ) )
{
    speedup = 15;
    zSpieler->setLaufTempo( zSpieler->getLaufTempo() + speedup );
}

SchuhEffect::~SchuhEffect()
{
    zSpieler->setLaufTempo( zSpieler->getLaufTempo() - speedup );
}

bool SchuhEffect::tick( double time, Spiel *zSpiel )
{
    zSpieler->setLaufTempo( zSpieler->getLaufTempo() - ( time / timeLeft ) * speedup );
    speedup -= ( time / timeLeft ) * speedup;
    return Effect::tick( time, zSpiel );
}
